import { PrepareOutputDirectory } from "./steps/prepareOutputDirectory";
import { CanonicalizeXml } from "./steps/canonicalizeXml";
import { ValidateXml } from "./steps/validateXml";
import { InlineIncludes } from "./steps/inlineIncludes";
import { Command } from "@oclif/core";
export interface IBuildStep {
    runBuildStep(): void;
}
export declare class BuildProcessor {
    workspace: string;
    cli: Command;
    private statusCallback;
    static BUILD_STEPS: (typeof PrepareOutputDirectory | typeof CanonicalizeXml | typeof ValidateXml | typeof InlineIncludes)[];
    static OUTPUT_DIR: string;
    static SRC_XML_FILE: string;
    private xmlString?;
    private xmlDoc;
    constructor(workspace: string, cli: Command, statusCallback: (status: string) => void);
    updateStatus(status: string): void;
    build(): Promise<void>;
    validate(): Promise<void>;
    getXmlString(): string;
    getXmlDoc(): Document;
    setXmlString(xml: string): void;
    setXmlDoc(xmlDoc: Document): void;
    getOutputXmlPath(): string;
    private saveXmlOutput;
    parseXml(xmlString: string, type?: DOMParserSupportedType): Document;
}
